module I2C_ctrl (

	clk,
	status,	
	nreset,
	data_in,
	mem_state,
	req,
	command,
	sda,
	scl

	
);

input					clk; 
input[2:0]			status;
input					nreset;
input[15:0]			data_in;
input[4:0]			mem_state;
output				req;
output[2:0] 		command;
inout 				sda;
input 				scl;

wire shiftS;
wire[7:0] transm_data;


register_loading register_loading_I(

	.clk(clk),
	.status(status),	
	.nreset(nreset),
	.shiftS(shiftS),
	.data_in(data_in),
	.req(req),
	.data_out(transm_data)
	
	
);


i2cSlave i2c_slave_I(

  .clk(clk),
  .rst(nreset),
  .sda(sda),
  .scl(scl),
  .commandReg(command),
  .statusReg({status,mem_state}), 
  .dataReg(transm_data),
  .shiftS(shiftS) 

); 


endmodule
