module memory_top (

input					clk, 
input					sreset,
input					start_img,
input[17:0]			data_in,
input 				req,
output[4:0]			mem_status,
output				avg_done,
output[17:0]		data_out,

output [31:0]  	phyAdr,
inout[23:0]  		phyData,
output				nCE,
output 				nWE,
output 				nRE,
output 				nOE,		
output 				nBLE,
output 				nBHE

);

wire[23:0] 	datain;
wire[31:0]	address;
wire 			read;
wire 			write;
wire			ce;
wire[23:0] 	dataout;



memphy memphy_I(
	.datain(datain),
	.address(address),
	.read(read),
	.write(write),
	.ce(ce),
	.dataout(dataout),
	.phyAdr(phyAdr),
	.phyData(phyData),
	.nCE(nCE),
	.nWE(nWE),
	.nRE(nRE),
	.nOE(nOE),
	.nBLE(nBLE),
	.nBHE(nBHE)
);


memory_ctrl memory_ctrl_I (

	.clk(clk),
	.sreset(sreset),	
	.start_img(start_img),
	.data_in(data_in),
	.req(req),
	.mem_status(mem_status),
	.avg_done(avg_done),
	.data_out(data_out),
	
	.ram_data_load(dataout),
	.ram_data_store(datain),
	.address(address),
	.write(write), 
	.read(read),
	.ce(ce)
	
);


endmodule