// Memory physical interface
// written for cyc7c1019DV33 (8 bit x 128) and cy7c1011dv33 (16 bit x 128)
// nCE	chip enable
// nWE	write enable
// nOE	output enable
// nBLE	byte low enable (cy7c1011) 
// nBHE  byte high enable (cy7c1011)

module memphy (


	datain,
	address,
	read,
	write,
	ce,
	dataout,
	phyAdr,
	phyData,
	nCE,
	nWE,
	nRE,
	nOE,
	nBLE,
	nBHE
);


input[23:0] 	datain;
input[31:0]		address;
input 			read;
input 			write;
input				ce;
output[23:0] 	dataout;
output[31:0]  	phyAdr;
inout[23:0]  	phyData;
output			nCE;
output 			nWE;
output 			nRE;
output 			nOE;		
output 			nBLE;
output 			nBHE;

wire oe;		// output enable for dataline 
wire[23:0] dataout;
	
	// Control signals
	

	assign phyData = oe ? datain : 24'hZZZZZZ;
	assign dataout = phyData;
	
	assign phyAdr = address;
	
	assign nBLE = 0;
	assign nBHE = 0;
	
	assign nCE = !ce;
	
	assign oe = !read;
	
	assign nOE = !read;
	assign nWE = !write;
	assign nRE = !read;




endmodule

