module topLevel (
  clk,
  rx_in,
  rx_inclock,
  oldData,
  result  

);
input 			clk;
input[3:0]		rx_in;
input   			rx_inclock;
input[17:0]		oldData;
output[17:0] 	result;

wire[13:0]	bufferc;
wire[27:0]	tangledData;
wire[13:0]	newData;
wire[13:0]	newDataD;

camlink clmodule(
	.rx_in(rx_in),
	.rx_inclock(rx_inclock),
	.rx_out(tangledData),
	.rx_outclock()
);


bitUntangler bunt(

	.dataIn(tangledData),
	.dataOut(newData),
	.dVal(),
	.fVal(),
	.lVal()

);


buffer buffer1(
  .clk(clk),
  .dataIn(newData),
  .dataOut(bufferc)
);

buffer buffer2(
  .clk(clk),
  .dataIn(bufferc),
  .dataOut(newDataD)
);

accumulator accum(
  .clk(clk),
  .previousValue(oldData),
  .newValue(newDataD),
  .result(result)  

);



endmodule