module top_module
(

	input clk,
	input nreset,
	inout sda,
	input scl,
	input[3:0] rx_in_sig,
	input rx_inclock_sig,
	output nCE_sig,
	output nWE_sig,
	output nRE_sig,
	output nOE_sig,
	output nBLE_sig,
	output nBHE_sig,
	output[31:0] phyAdr_sig,	
	inout[23:0]  phyData_sig	
);


wire[17:0] memory_data_out, memory_data_in;



I2C_ctrl I2C_ctrl_inst
(
	.clk(clk) ,	// input  clk_sig
	.status(status_sig) ,	// input [2:0] status_sig
	.nreset(nreset) ,	// input  nreset_sig
	.data_in(memory_data_out) ,	// input [15:0] data_in_sig
	.mem_state(mem_status_sig) ,	// input [4:0] mem_state_sig
	.req(req_sig) ,	// output  req_sig
	.command(command_sig) ,	// output [2:0] command_sig
	.sda(sda) ,	// inout  sda_sig
	.scl(scl) 	// input  scl_sig
);


camera_config_ctrl camera_config_ctrl_inst
(
	.clk(clk) ,	// input  clk_sig
	.nreset(nreset) ,	// input  nreset_sig
	.enable(enable_sig) ,	// input  enable_sig
	.start_img(start_im_sig) ,	// input  start_img_sig
	.config_done(config_done_sig) 	// output  config_done_sig
);

memory_top memory_top_inst
(
	.clk(clk) ,	// input  clk_sig
	.sreset(sreset) ,	// input  sreset_sig
	.start_img(start_im_sig) ,	// input  start_img_sig
	.data_in(memory_data_in) ,	// input [17:0] data_in_sig
	.req(req_sig) ,	// input  req_sig
	.mem_status(mem_status_sig) ,	// output [4:0] mem_status_sig
	.avg_done(avg_done_sig) ,	// output  avg_done_sig
	.data_out(memory_data_out) ,	// output [17:0] data_out_sig
	.phyAdr(phyAdr_sig) ,	// output [31:0] phyAdr_sig
	.phyData(phyData_sig) ,	// inout [23:0] phyData_sig
	.nCE(nCE_sig) ,	// output  nCE_sig
	.nWE(nWE_sig) ,	// output  nWE_sig
	.nRE(nRE_sig) ,	// output  nRE_sig
	.nOE(nOE_sig) ,	// output  nOE_sig
	.nBLE(nBLE_sig) ,	// output  nBLE_sig
	.nBHE(nBHE_sig) 	// output  nBHE_sig
);


main_ctrl main_ctrl_inst
(
	.clk(clk) ,	// input  clk_sig
	.nreset(nreset) ,	// input  nreset_sig
	.sreset(sreset) ,	// output  sreset_sig
	.command(command_sig) ,	// input [1:0] command_sig
	.config_done(config_done_sig) ,	// input  config_done_sig
	.mem_status(mem_status_sig) ,	// input [4:0] mem_status_sig
	.avg_done(avg_done_sig) ,	// input  avg_done_sig
	.start_im(start_im_sig) ,	// output  start_im_sig
	.enable(enable_sig) ,	// output  enable_sig
	.status(status_sig) 	// output [2:0] status_sig
);

topLevel topLevel_inst
(
	.clk(clk) ,	// input  clk_sig
	.rx_in(rx_in_sig) ,	// input [3:0] rx_in_sig
	.rx_inclock(rx_inclock_sig) ,	// input  rx_inclock_sig
	.oldData(memory_data_out) ,	// input [17:0] oldData_sig
	.result(memory_data_in) 	// output [17:0] result_sig
);



endmodule

